Sing Alongs
===========

[Latest build](http://vault.vanwa.ch/builds/singalongs_last_build.pdf)

Motivation
----------

I love to play the tin whistle and around 2012 I was looking for some sheet
music. There are a lot of good resources out there but the one thing I have
never found was a collection which was free (as in freedom) and usable for
printing. And if something does not exist why not try and create it yourself?

At this point I discovered [Lilypond](http://www.lilypond.org/) a wonderful
project for music engraving. The best part is that it has support for embedding
its scores in LaTeX files so it is possible to get complex layouts without a
big hassle. As a programmer I instantly liked the approach because I did not
need a big editor but could just write text files which I then could manage
with something like [git](http://git-scm.com/). 

Development
-----------
Main development happens at http://trac.vanwa.ch/sing_alongs but there is a
mirror of the git repository on [Github](https://github.com/thallian/sing_alongs).

The master branch contains only full songs (lyrics, melody and chords) and the
only time it is updated is for changing layout related stuff or merging a song.

Songs live in their own branch. If there is an error the branch gets fixed and
then merged into the master. I am not sure how well this goes with a growing
number of songs but lets see ;)  
Also, the older songs may not have their own branch yet, so it has to be
created when the first correction comes up.

Contact
-------
You can reach me at [trac.singalongs@nulda.ch](mailto:trac.singalongs@nulda.ch)

